Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.instrument
Class DMSConsole

`java.lang.Object
oracle.dms.instrument.DMSConsole`

public class DMSConsole
extends java.lang.Object

The Oracle Dynamic Monitoring Service (DMS) consists of a small set of simple Sensor classes that help Java programmers to measure important events and status values in their applications.

The `DMSConsole` class provides methods for dumping metrics and for controlling the detail level of performance measurement.

Field Summary
`static int` | `ALL` Constant for highest sensor weight.
`static int` | `HEAVY` Constant for above average sensor weight.
`static int` | `NONE` Constant for the lowest sensor weight.
`static int` | `NORMAL` Constant for default sensor weight.

Constructor Summary
`DMSConsole()` Constructs a new console.

Method Summary
`void` | `dump(java.io.PrintWriter pw, java.lang.String format)` Dumps metrics for all DMS metrics to PrintWriter.
`void` | `dump(java.lang.String filename, java.lang.String format, boolean append)` Dumps metrics for all DMS metrics to file.
`static int` | `getSensorWeight()` Get the Sensor weight for this JVM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  Constant for the lowest sensor weight.
  See Also:
    Constant Field Values

### NORMAL

    public static final int NORMAL

  Constant for default sensor weight.
  See Also:
    Constant Field Values

### HEAVY

    public static final int HEAVY

  Constant for above average sensor weight.
  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  Constant for highest sensor weight.
  See Also:
    Constant Field Values

Constructor Detail

### DMSConsole

    public DMSConsole()

  Constructs a new console.
Since:
  Oracle Application Server 10g (9.0.4)

Method Detail

### dump

    public void dump(java.lang.String filename,
                     java.lang.String format,
                     boolean append)

  Dumps metrics for all DMS metrics to file.
  Parameters:
    `filename` - name of dump file
    `format` - name of desired format
    `append` - if `true`, output is appended to end of file, else file is zeroed prior to dump.

    supported formats include `raw` and `xml`. if format input parameter is `null`, then `raw` format is used.

  Since:
    Oracle Application Server 10g (9.0.4)

### dump

    public void dump(java.io.PrintWriter pw,
                     java.lang.String format)

  Dumps metrics for all DMS metrics to PrintWriter.
  Parameters:
    `pw` - output writer
    `format` - name of desired format

    supported formats include `raw` and `xml`. if format input parameter is `null`, then `raw` format is used.

  Since:
    Oracle Application Server 10g (9.0.4)

### getSensorWeight

    public static int getSensorWeight()

  Get the Sensor weight for this JVM.
  Returns:
    the JVM's SensorWeight config parameter

    The SensorWeight can be set with the `oracle.dms.sensors` system property. Legal values for this System Property include `normal`, `heavy`, `all`, and `none`. Programmers may/must check the value explicitly before each call to DMS to implement "conditional" or "disabled" metrics.

    SensorWeight is not checked internally by DMS. The programmer must check the value to determine whether DMS methods should be called.

    SensorWeight will not change dynamically during the execution of the JVM.

  Since:
    Oracle Application Server 10g (9.0.4)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.